# Uses of Enum Class
com.google.protobuf.DescriptorProtos.FieldOptions.OptionTargetType

Packages that use DescriptorProtos.FieldOptions.OptionTargetType
Package
Description
com.google.protobuf

## Uses of DescriptorProtos.FieldOptions.OptionTargetType in com.google.protobuf

Methods in com.google.protobuf that return DescriptorProtos.FieldOptions.OptionTargetType
Modifier and Type
Method
Description
`static DescriptorProtos.FieldOptions.OptionTargetType`
DescriptorProtos.FieldOptions.OptionTargetType.`forNumber(int value)`
`DescriptorProtos.FieldOptions.OptionTargetType`
DescriptorProtos.FieldOptions.Builder.`getTargets(int index)`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`DescriptorProtos.FieldOptions.OptionTargetType`
DescriptorProtos.FieldOptions.`getTargets(int index)`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`DescriptorProtos.FieldOptions.OptionTargetType`
DescriptorProtos.FieldOptionsOrBuilder.`getTargets(int index)`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`static DescriptorProtos.FieldOptions.OptionTargetType`
DescriptorProtos.FieldOptions.OptionTargetType.`valueOf(int value)`
Deprecated.
`static DescriptorProtos.FieldOptions.OptionTargetType`
DescriptorProtos.FieldOptions.OptionTargetType.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FieldOptions.OptionTargetType`
DescriptorProtos.FieldOptions.OptionTargetType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FieldOptions.OptionTargetType[]`
DescriptorProtos.FieldOptions.OptionTargetType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.FieldOptions.OptionTargetType
Modifier and Type
Method
Description
`List<DescriptorProtos.FieldOptions.OptionTargetType>`
DescriptorProtos.FieldOptions.Builder.`getTargetsList()`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`List<DescriptorProtos.FieldOptions.OptionTargetType>`
DescriptorProtos.FieldOptions.`getTargetsList()`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`List<DescriptorProtos.FieldOptions.OptionTargetType>`
DescriptorProtos.FieldOptionsOrBuilder.`getTargetsList()`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`static Internal.EnumLiteMap<DescriptorProtos.FieldOptions.OptionTargetType>`
DescriptorProtos.FieldOptions.OptionTargetType.`internalGetValueMap()`
Methods in com.google.protobuf with parameters of type DescriptorProtos.FieldOptions.OptionTargetType
Modifier and Type
Method
Description
`DescriptorProtos.FieldOptions.Builder`
DescriptorProtos.FieldOptions.Builder.`addTargets(DescriptorProtos.FieldOptions.OptionTargetType value)`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`DescriptorProtos.FieldOptions.Builder`
DescriptorProtos.FieldOptions.Builder.`setTargets(int index, DescriptorProtos.FieldOptions.OptionTargetType value)`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
Method parameters in com.google.protobuf with type arguments of type DescriptorProtos.FieldOptions.OptionTargetType
Modifier and Type
Method
Description
`DescriptorProtos.FieldOptions.Builder`
DescriptorProtos.FieldOptions.Builder.`addAllTargets(Iterable<? extends DescriptorProtos.FieldOptions.OptionTargetType> values)`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`